package de.samdev.colorrunner.actors;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.Batch;
import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.InputListener;

public abstract class CRActor extends Actor {
	private Texture texture = null;
	
	public CRActor(Texture _tex) {
		texture = _tex;
		
		setBounds(getX(), getY(), _tex.getWidth(), _tex.getHeight());

		addListener(new InputListener() {
			@Override
			public boolean touchDown(InputEvent event, float x, float y, int pointer, int button) {
				Gdx.app.log("CRGame", "touch my one more time");
				return true;
			}
		});
	}

	@Override
	public void draw(Batch batch, float alpha) {
		batch.draw(getTexture(), this.getX(), this.getY(), this.getOriginX(), this.getOriginY(), this.getWidth(), this.getHeight(), this.getScaleX(), this.getScaleY(), this.getRotation(), 0, 0, texture.getWidth(), texture.getHeight(), false, false);
	}

	@Override
	public void act(float delta) {
		super.act(delta);
	}
	
	public Texture getTexture() {
		return texture;
	}
}
